%define anolis_release 1

Summary: Utilities for manipulating .desktop files
Name: desktop-file-utils
Version: 0.26
Release: %{anolis_release}%{?dist}
URL: https://www.freedesktop.org/software/desktop-file-utils
Source0: https://www.freedesktop.org/software/desktop-file-utils/releases/%{name}-%{version}.tar.xz
Source1: desktop-entry-mode-init.el
# https://bugzilla.redhat.com/show_bug.cgi?id=2053905
Patch0:  desktop-file-utils-0.26-support-1.5.patch
License: GPLv2+

BuildRequires: gcc
BuildRequires: glib2-devel
BuildRequires: emacs
BuildRequires: meson >= 0.49.0
Requires: emacs-filesystem

%description
.desktop files are used to describe an application for inclusion in
GNOME or KDE menus.  This package contains desktop-file-validate which
checks whether a .desktop file complies with the specification at
http://www.freedesktop.org/standards/, and desktop-file-install
which installs a desktop file to the standard directory, optionally
fixing it up in the process.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Doc pages for %{name}.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

mkdir -p $RPM_BUILD_ROOT%{_emacs_sitelispdir}/desktop-file-utils
mv $RPM_BUILD_ROOT%{_emacs_sitelispdir}/*.el* $RPM_BUILD_ROOT%{_emacs_sitelispdir}/desktop-file-utils
install -Dpm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_emacs_sitestartdir}/desktop-entry-mode-init.el
touch $RPM_BUILD_ROOT%{_emacs_sitestartdir}/desktop-entry-mode-init.elc

%transfiletriggerin -- %{_datadir}/applications
update-desktop-database &> /dev/null || :

%transfiletriggerpostun -- %{_datadir}/applications
update-desktop-database &> /dev/null || :

%files
%license COPYING
%{_bindir}/*
%{_mandir}/man1/desktop-file-install.1*
%{_mandir}/man1/desktop-file-validate.1*
%{_mandir}/man1/update-desktop-database.1*
%{_mandir}/man1/desktop-file-edit.1*
%{_emacs_sitestartdir}/desktop-entry-mode-init.el
%ghost %{_emacs_sitestartdir}/desktop-entry-mode-init.elc
%{_emacs_sitelispdir}/desktop-file-utils/

%files doc
%doc AUTHORS README NEWS

%changelog
* Sat Dec 10 2022 Funda Wang <fundawang@yeah.net> - 0.26-1
- Import 0.26
